# check required files
# run like this: rhodecode/tests/scripts/static-file-check.sh rhodecode/public/

STATIC_CHECK="\
robots.txt \
502.html \
js/scripts.min.js \
js/rhodecode-components.js \
css/style.css \
css/style-lit.css \
css/style-ipython.css"

static_path=$1
echo "checking the path for static files in dir: '$static_path'"

if [ ! -d $static_path ]; then
  echo "path $static_path is not a valid directory"
  exit 1
fi

for file in $STATIC_CHECK;
do
  path=$static_path$file
  printf "checking $path..."
  if [ ! -f $path ]; then
    echo ""
    echo "Missing a static file:$path expected after web-build"
    exit 1
  fi
  printf "ok\n"
done